jQuery(document).ready(function($) {
	// Check element exists.
	$.fn.exists = function () {
		return this.length > 0;
	};

    jQuery(document).on('click','.geo-closed',function(){
        var minutes = 30;
        var tMinutes = new Date(new Date().getTime() + minutes * 60 * 1000);
        cookies.set( 'geo_closed' , true, { expires: tMinutes });
        jQuery('.geo-bar').hide();
    });
});

// Location sharing for geo fencing
if(parseInt(cdgf_obj.geofenc) > 0){
    var msg = '';
    var geo_lat = cookies.get('geo_lat');
    var geo_lng = cookies.get('geo_lng');
    if(!cookies.get('geo_lat')){
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(showPosition, showError);
        } else {
            msg = "Geolocation is not supported by this browser.";
        }
    }
}

function showError(error) {
    switch(error.code) {
        case error.PERMISSION_DENIED:
            msg = "User denied the request for Geolocation."
            break;
        case error.POSITION_UNAVAILABLE:
            msg = "Location information is unavailable."
            break;
        case error.TIMEOUT:
            msg = "The request to get user location timed out."
            break;
        case error.UNKNOWN_ERROR:
            msg = "An unknown error occurred."
            break;
    }
}

function showPosition(position) {
    var minutes = 30;
    var tMinutes = new Date(new Date().getTime() + minutes * 60 * 1000);

    if(!cookies.get('geo_lat')){
        cookies.set( 'geo_lat' , position.coords.latitude, { expires: tMinutes });
        cookies.set( 'geo_lng' , position.coords.longitude, { expires: tMinutes });
        cookies.set( 'geo_closed' , true, { expires: tMinutes });
    }

    var data = {
    	'action': 'findGeolocation',
        'lat': position.coords.latitude,
        'lng': position.coords.longitude
    };

    var html = '';
    jQuery.ajax({
        type: "POST",
        url: cardealer_js.ajaxurl,
        data: data,
        dataType: 'json',
        success: function(response) {
            if(response.status == 'success'){
                cookies.set( 'geo_msg' , response.content, { expires: tMinutes });
                html += '<div class="geo-bar">';
                    html += '<span class="geo-closed">&times;</span>';
                    html += '<div class="container">';
                        html += '<div class="row">';
                            html += '<div class="col-lg-12 col-sm-12">';
                                html += '<marquee class="geo-fencing" behavior="scroll" direction="left" scrollamount="5" style="width:100%; height:100%; vertical-align:middle; cursor:pointer;" onmouseover="javascript:this.setAttribute(\'scrollamount\',\'0\');" onmouseout="javascript:this.setAttribute(\'scrollamount\',\'5\');"><div class="geo-content">'+response.content+'</div></marquee>';
                            html += '</div>';
                        html += '</div>';
                     html += '</div>';
                html += '</div>';
                jQuery('#page').prepend(html);
                jQuery('.geo-bar').show();
            }
        }
    });
}
